Commit 93f74b33 authored by Laurent Montel's avatar Laurent Montel 😁

Merge remote-tracking branch 'origin/Applications/17.12'

parents 9bc2cf5f f3512ab4
cmake_minimum_required(VERSION 3.1) cmake_minimum_required(VERSION 3.1)
set(KDEPIM_VERSION_NUMBER "5.6.80") set(KDEPIM_VERSION_NUMBER "5.7.40")
project(pim-data-exporter VERSION ${KDEPIM_VERSION_NUMBER}) project(pim-data-exporter VERSION ${KDEPIM_VERSION_NUMBER})
set(KF5_VERSION "5.39.0") set(KF5_VERSION "5.39.0")
...@@ -26,14 +26,14 @@ include(ECMAddAppIcon) ...@@ -26,14 +26,14 @@ include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory) include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption) include(ECMCoverageOption)
# Do NOT add quote # Do NOT add quote
set(KDEPIM_DEV_VERSION ) set(KDEPIM_DEV_VERSION rc)
# add an extra space # add an extra space
if(DEFINED KDEPIM_DEV_VERSION) if(DEFINED KDEPIM_DEV_VERSION)
set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}") set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif() endif()
set(KDEPIM_VERSION "5.7.40") set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}") set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
set(KDEPIM_LIB_SOVERSION "5") set(KDEPIM_LIB_SOVERSION "5")
...@@ -41,15 +41,15 @@ set(KDEPIM_LIB_SOVERSION "5") ...@@ -41,15 +41,15 @@ set(KDEPIM_LIB_SOVERSION "5")
set(QT_REQUIRED_VERSION "5.8.0") set(QT_REQUIRED_VERSION "5.8.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Xml Test) find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Xml Test)
set(AKONADI_VERSION "5.6.80") set(AKONADI_VERSION "5.6.90")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.6.80") set(IDENTITYMANAGEMENT_LIB_VERSION "5.6.90")
set(KCONTACTS_LIB_VERSION "5.6.80") set(KCONTACTS_LIB_VERSION "5.6.90")
set(KMAILTRANSPORT_LIB_VERSION "5.6.80") set(KMAILTRANSPORT_LIB_VERSION "5.6.90")
set(KMIME_LIB_VERSION "5.6.80") set(KMIME_LIB_VERSION "5.6.90")
set(KPIMTEXTEDIT_LIB_VERSION "5.6.80") set(KPIMTEXTEDIT_LIB_VERSION "5.6.90")
set(LIBKDEPIM_LIB_VERSION_LIB "5.6.80") set(LIBKDEPIM_LIB_VERSION_LIB "5.6.90")
set(MAILCOMMON_LIB_VERSION_LIB "5.6.80") set(MAILCOMMON_LIB_VERSION_LIB "5.6.90")
set(PIMCOMMON_LIB_VERSION_LIB "5.6.80") set(PIMCOMMON_LIB_VERSION_LIB "5.6.90")
# Find KF5 package # Find KF5 package
find_package(KF5Archive ${KF5_VERSION} REQUIRED) find_package(KF5Archive ${KF5_VERSION} REQUIRED)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment